<?php

// api/pair
use Illuminate\Support\Facades\Route;

// 报名-免费
Route::post('/enroll/free', 'Fpdx\PairController@freeEnroll');
// 报名-超级会员
Route::post('enroll/supvip', 'Fpdx\PairController@supvipEnroll');
// 报名-增加成功率-小花
Route::put('pairlist/{pair_id}/addscorebyflower', "Fpdx\PairController@addscorebyflower")->where('pair_id', '[0-9]+');
// 报名-增加成功率-超级会员
Route::put('pairlist/{pair_id}/addscorebySupvip', "Fpdx\PairController@addscorebysupvip")->where('pair_id', '[0-9]+');

// 匹配成功-72-签到
Route::put("/confirm/{pair_id}", "Fpdx\PairController@confirm")->where('pair_id', '[0-9]+');
// 匹配成功-72-签到反悔
Route::put("/confirm/{pair_id}/goback", "Fpdx\PairController@goBackConfirm")->where('pair_id', '[0-9]+');

Route::get('/activity/info/get/{stage_id}', "Fpdx\PairController@getActivityInfo")->where('stage_id', '[0-9]+');

// 获取某人最新一期的活动状态
Route::get("/activity/recent", "Fpdx\PairController@getRecentActivity");

// 报名下一期
Route::post("/activity/enrollnext", "Fpdx\PairController@enrollnext");
// 是否打开微信客服
Route::get("/confirm/wxkfstate", "Fpdx\PairController@isopenwxkf");


## 活动
// 活动列表
Route::get('activities', 'Fpdx\ActivityController@index');
// 活动信息
Route::get('/activities/{stage_id}', "Fpdx\ActivityController@show")->where('stage_id', '[0-9]+');
// 最近一期
Route::get('/activities/last', 'Fpdx\ActivityController@last');
// 当前活动正在进行中的一期
Route::get('/activities/currently', 'Fpdx\ActivityController@currently');


## 报名
// 报名历史
Route::get('/pairs', 'Fpdx\PairController@index');
// 报名信息
Route::get('/pairs/{pair_id}', 'Fpdx\PairController@show')->where('pair_id', '[0-9]+');
// 修改报名
Route::put('/pairs/{pair_id}', 'Fpdx\PairController@update')->where('pair_id', '[0-9]+');
// 删除报名
//Route::delete('/pairs/{pair_id}','')->where('pair_id', '[0-9]+');
Route::get('pairs/find', 'Fpdx\PairController@find');
// 最近一期的报名信息
Route::get('/pairs/last', 'Fpdx\PairController@last');
// 当前期的报名信息
Route::get('/pairs/currently', 'Fpdx\PairController@currently');


## 房间
Route::get('rooms', 'Fpdx\RoomController@index');
// 房间信息
Route::get('rooms/{room_id}', 'Fpdx\RoomController@show')->where('room_id', '[0-9]+');
Route::get("room/{room_id}/get", 'Fpdx\RoomController@show')->where('room_id', '[0-9]+');
// 修改房间
Route::put('rooms/{room_id}', 'Fpdx\RoomController@update')->where('room_id', '[0-9]+');

// CP关系房间
Route::get('rooms/keep', 'Fpdx\RoomController@keepRoom');
// 保持CP关系
Route::put("rooms/{room_id}/keep", "Fpdx\RoomController@keep")->where('room_id', '[0-9]+');
// 取消CP关系
Route::delete("rooms/{room_id}/keep", "Fpdx\RoomController@unKeep")->where('room_id', '[0-9]+');

// 反馈表单
Route::get('forms/{form_id}', 'Fpdx\FormController@show')->where('form_id', '[0-9]+');
Route::post('forms/{form_id}', 'Fpdx\FormController@submit')->where('form_id', '[0-9]+');


Route::post('operational', 'Fpdx\PairController@operational');